can't run minetest 0.4.14 on GNU/Linux

crazy_baboon
Member
 
Posts: 96
Joined: Sat Oct 17, 2015 10:47

can't run minetest 0.4.14 on GNU/Linux

by crazy_baboon » Sun Jan 29, 2017 18:56

Hi folks,

I have successfully compiled and ran the minetest binary on arch linux (using cmake . -DRUN_IN_PLACE=TRUE && make -j4 && ./bin/minetest
). It runs fine on Minimal development test mode.

I then added the minetest_game-master I downloaded from https://github.com/minetest/minetest_game to the games folder. When I try to run in the Minetest Game mode I get the following error:

Failed to load and run script from /home/username/Documents/minetest-0.4.14/bin/../games/minetest_game-master/mods/default/init.lua:
2017-01-29 18:40:59: ERROR[Main]: ...in/../games/minetest_game-master/mods/default/mapgen.lua:1551: attempt to call field 'get_mapgen_setting' (a nil value)
2017-01-29 18:40:59: ERROR[Main]: stack traceback:
2017-01-29 18:40:59: ERROR[Main]: ...in/../games/minetest_game-master/mods/default/mapgen.lua:1551: in main chunk
2017-01-29 18:40:59: ERROR[Main]: [C]: in function 'dofile'
2017-01-29 18:40:59: ERROR[Main]: .../bin/../games/minetest_game-master/mods/default/init.lua:49: in main chunk
2017-01-29 18:40:59: ERROR[Main]: Check debug.txt for details.


Anyone know why this is happening?


Thanks
 

User avatar
cHyper
Member
 
Posts: 842
Joined: Fri May 06, 2011 08:49
Location: Austria
GitHub: cHyper-0815OL
IRC: cHyper
In-game: cHyper cHyper_0815

Re: can't run minetest 0.4.14 on GNU/Linux

by cHyper » Sun Jan 29, 2017 19:04

why version 0.4.14?
currently 0.4.15 is released!!
 

crazy_baboon
Member
 
Posts: 96
Joined: Sat Oct 17, 2015 10:47

Re: can't run minetest 0.4.14 on GNU/Linux

by crazy_baboon » Sun Jan 29, 2017 19:10

I don't like the why the rail carts have been implemented in 0.4.15 (or maybe in an earlier version I don't know yet). See my previous post viewtopic.php?f=3&t=16514
 

User avatar
Calinou
Moderator
 
Posts: 3157
Joined: Mon Aug 01, 2011 14:26
Location: Troyes, France
GitHub: Calinou
IRC: Calinou
In-game: Calinou

Re: can't run minetest 0.4.14 on GNU/Linux

by Calinou » Sun Jan 29, 2017 20:49

You can't run the latest minetest_game with Minetest 0.4.14. You can get minetest_game for 0.4.14 here: https://github.com/minetest/minetest_ga ... 0.4.14.zip
 

crazy_baboon
Member
 
Posts: 96
Joined: Sat Oct 17, 2015 10:47

Re: can't run minetest 0.4.14 on GNU/Linux

by crazy_baboon » Sun Jan 29, 2017 22:22

Thanks Calinou,

What is the link to the minetest-game archive so I can find previous releases?
 


Return to Problems



Who is online

Users browsing this forum: No registered users and 1 guest